#ifndef CONFIGINFO_H
#define CONFIGINFO_H

#include <QObject>
#include <QString>
#include <QJsonObject>
#include "pqQtlib/utils/pqfileutils.h"
#include <QJsonDocument>

class GlobalInfo;

class ConfigInfo : public QObject
{
    Q_OBJECT
public:
    QString baseUrl;//服务器接口地址
    quint16 packId;
    QString printerName; //打印机名称
    QString portName; //电子秤串口名称
    QString portBaudRate; //电子秤串口波特率
    int portType;

   bool savePrinter;


  void load();
  void save();

signals:
  void configUpdate();

private:
      ConfigInfo();
    friend class GlobalInfo;
};


#endif // CONFIGINFO_H
